Bug 92338 - (IRQ_ROUTING)kernel upgrades break USB
(IRQ_ROUTING)kernel upgrades break USB
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
: 92339 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-05 05:57 EDT by Mimo Zus
Modified: 2007-04-18 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
normal and error log entries (3.62 KB, text/plain)
2003-06-05 06:25 EDT, Mimo Zus
no flags Details

  None (edit)
Description Mimo Zus 2003-06-05 05:57:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
I am running redhat 9 SMP on a dual PIII 733Mhz Abit VP6,
current working kernel is 2.4.20-9smp.

kernel upgrade to either 2.4.20-13.9, or 2.4.20-18.9
breaks USB.

--/var/log/messages--------------------------------
kernel: usb.c: registered new driver usbdevfs
kernel: usb.c: registered new driver hub
kernel: usb-uhci.c: $Revision: 1.275 $ time 07:05:27 May 29 2003
kernel: usb-uhci.c: High bandwidth mode enabled
kernel: usb-uhci.c: USB UHCI at I/O 0xa000, IRQ 19
kernel: usb-uhci.c: Detected 2 ports
kernel: usb.c: new USB bus registered, assigned bus number 1
kernel: usb-uhci.c: USB UHCI at I/O 0xa400, IRQ 19
kernel: usb-uhci.c: Detected 2 ports
kernel: usb.c: new USB bus registered, assigned bus number 2
kernel: usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
kernel: usb.c: registered new driver hiddev
kernel: usb.c: registered new driver hid
kernel: usb_control/bulk_msg: timeout
kernel: usb.c: USB device not accepting new address=2 (error=-110)
kernel: usb_control/bulk_msg: timeout
kernel: usb.c: USB device not accepting new address=3 (error=-110)
----------------------------------------------------


Version-Release number of selected component (if applicable):
kernel-2.4.20-13.9, or 18.9

How reproducible:
Always

Steps to Reproduce:
1.Boot vmlinuz-2.4.20-13.9smp
2.Boot vmlinuz-2.4.20-18.9smp
3.
    

Actual Results:  USB optical mouse non-responsive, USB errors appear in logs

Expected Results:  All kernel upgrades have been transparent through 2.4.20-9smp

Additional info:

Abit VP6 mobo, dual PIII 733mhz
Comment 1 Mimo Zus 2003-06-05 06:25:50 EDT
Created attachment 92157 [details]
normal and error log entries

messages is 3000+lines long.  Didn't want to send the whole thing.  Please
advise
if you require more.
Comment 2 Arjan van de Ven 2003-06-05 06:32:33 EDT
*** Bug 92339 has been marked as a duplicate of this bug. ***
Comment 3 Pete Zaitcev 2003-06-05 09:32:16 EDT
Very likely a dup of bug of 91041.
Comment 4 Gary 2003-08-26 17:26:03 EDT
I have the same problem as Mimo Zus above with the exact same mobo (Abit VP6
mobo, dual PIII 733mhz) running kernel 2.4.20-20.9smp.
Comment 5 Oscar A. Valdez 2004-04-01 16:37:34 EST
Somewhere along the upgrade path from RH8 (2.4.20-ish kernel) to FC1
(2.4.22-1.2174.nptl), the following message began to appear on PC's
connected to UPS's of a specific make and model:

usb.c: USB device not accepting new address=2 (error=-110)

The systems are unable to load the UPS monitoring daemon (apcupsd). 

The UPS's are APC, model Back-UPS ES 500, and their USB vendor and
product ID are the following: Vendor=051d ProdID=0002. I have other
FC1 systems hooked up to other models from APC, and they work
flawlessly, as do other RH8 systems hooked up to Back-UPSs ES 500. The
problem is specific to the combination of FC1 and the ES 500.

The underlying problem might be the same as in bugs 91041, 92417,
110269, 110492, and 110496 (same error message).
Comment 6 Oscar A. Valdez 2004-04-17 13:08:13 EDT
Upgraded to kernel 2.4.22-1.2179.nptl. Problem persists.
Comment 7 Bugzilla owner 2004-09-30 11:41:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.